package fr.openium.consentium.ui.screens.splash

import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.size
import androidx.compose.material3.CircularProgressIndicator
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.hilt.navigation.compose.hiltViewModel

@Composable
fun SplashScreen(
    viewModel: SplashScreenViewModel = hiltViewModel(),
    navigateToMain: () -> Unit,
) {

    val state by viewModel.state.collectAsState()

    Text("Splash")

    LaunchedEffect(Unit) {
        viewModel.initMain()
    }

    when (val _state = state) {

        is SplashScreenViewModel.State.Loading -> Box(
            modifier = Modifier.fillMaxSize()
        ) {
            CircularProgressIndicator(
                modifier = Modifier
                    .size(200.dp)
                    .align(Alignment.Center)
            )
            //tracking matomo
        }

        is SplashScreenViewModel.State.Loaded -> {
            navigateToMain()
        }

    }

}