package fr.openium.consentium.ui.screens.splash

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.delay
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class SplashScreenViewModel @Inject constructor(
) : ViewModel() {

    private val _state = MutableStateFlow<State>(State.Loading)
    val state: StateFlow<State> = _state

    fun initMain() {
        val delay = viewModelScope.launch {
            delay(1500L)
        }
        viewModelScope.launch {
            _state.value = State.Loading
            try {
                delay.join()
                _state.value = State.Loaded
            } catch (e: Exception) {
                e.printStackTrace()
            }
        }
    }

    sealed interface State {
        data object Loading : State
        data object Loaded : State
    }

}